Bug 120239 - installing policy-sources creates both policy.15 and policy.16
installing policy-sources creates both policy.15 and policy.16
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-04-06 22:39 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-07 06:58:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-04-06 22:39:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
The post-install script of policy-sources creates both
/etc/security/selinux/policy.`cat /selinux/policyvers` and
/etc/security/selinux/policy.15 (from PREVPOLICYVER).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.rm -f /etc/security/selinux/*
2.up2date -u policy-sources (upgrading from the previous version)

Actual Results:  It works, but an old policy file is created and left

Expected Results:  I don't see why it should be created, but it should
definitely not be left behind.

Ideally, if the newly-generated policy is identical to the file
installed by the policy rpm, it shouldn't be replaced, such that
.rpm{save,new} files aren't created on the next update.

Additional info:
Comment 1 Daniel Walsh 2004-04-07 06:58:29 EDT
We are installing both because you might have a kernel on the machine
that only supports 15.  So if you boot that kernel you need 15.  We
will have this problem when we go to 17, 18...

We might be able to drop 15 when we go to the test3

Note You need to log in before you can comment on or make changes to this bug.